IM_FRACTSURF(3X)

NAME
im_fractsurf - creates a fractal surface

SYNOPSIS
#include <vips/vips.h> int im_fractsurf(in, frdim, size)
IMAGE *in;
double frdim;
int size;

DESCRIPTION
im_fractsurf creates a fracta surface. The program initially creates a gaussian noise image (im_gausnoise(3X)) of sizes size x size. The image is then filtered (im_flt_image_freq(3X)) in order to force the power spectrum to decay according to the desired fractal dimension frdim. The result is a one band float image and should be scaled for display.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_flt_image_freq(3X), im_gausnoise(3X)

COPYRIGHT
N. Dessipris,

AUTHOR
N. Dessipris - 06/07/1990